CVE-2016-6321

Priority
Medium
Description
Directory traversal vulnerability in the safer_name_suffix function in GNU
tar 1.14 through 1.29 might allow remote attackers to bypass an intended
protection mechanism and write to arbitrary files via vectors related to
improper sanitization of the file_name parameter, aka POINTYFEATHER.
References
Bugs
Assigned-to
mdeslaur
Package
Source: tar (LP Ubuntu Debian)
Upstream:released (1.29b-1.1)
Ubuntu 17.10 (Artful Aardvark):not-affected (1.29b-1.1)
Ubuntu 12.04 ESM (Precise Pangolin):released (1.26-4ubuntu1.1)
Ubuntu 14.04 LTS (Trusty Tahr):released (1.27.1-1ubuntu0.1)
Ubuntu 16.04 LTS (Xenial Xerus):released (1.28-2.1ubuntu0.1)
Ubuntu 17.04 (Zesty Zapus):not-affected (1.29b-1.1)
Patches:
Upstream:http://git.savannah.gnu.org/cgit/tar.git/commit/?id=7340f67b9860ea0531c1450e5aa261c50f67165d
Other:https://sintonen.fi/advisories/tar-extract-pathname-bypass.patch
More Information

Updated: 2017-10-17 19:14:21 UTC (commit 13537)